--- old/usr/src/uts/common/inet/ip/sadb.c	2014-07-28 07:43:45.636432446 -0400
+++ new/usr/src/uts/common/inet/ip/sadb.c	2014-07-28 07:43:45.642354411 -0400
@@ -1731,7 +1731,7 @@
 	 * messages.
 	 */
 
-	oldq = casptr((void **)pfkey_qp, NULL, OTHERQ(q));
+	oldq = atomic_cas_ptr((void **)pfkey_qp, NULL, OTHERQ(q));
 	if (oldq != NULL) {
 		ASSERT(oldq != q);
 		cmn_err(CE_WARN, "Danger!  Multiple keysocks on top of %s.\n",
@@ -1746,8 +1746,8 @@
 	kha->ks_hello_satype = (uint8_t)satype;
 
 	/*
-	 * If we made it past the casptr, then we have "exclusive" access
-	 * to the timeout handle.  Fire it off after the default ager
+	 * If we made it past the atomic_cas_ptr, then we have "exclusive"
+	 * access to the timeout handle.  Fire it off after the default ager
 	 * interval.
 	 */
 	*top = qtimeout(*pfkey_qp, ager, agerarg,
